## fiche 0.9.1

=== Makefile ===
# for debug add -g -O0 to line below
CFLAGS+=-pthread -O2 -Wall -Wextra -Wpedantic -Wstrict-overflow -fno-strict-aliasing -std=gnu11 -g -O0
prefix=/usr/local/bin

all:
	${CC} main.c fiche.c $(CFLAGS) -o fiche

install: fiche
	install -m 0755 fiche $(prefix)

clean:
	rm -f fiche

.PHONY: clean

=== debian/changelog ===
fiche (0.9.1-1) unstable; urgency=medium

  * Initial release (Closes: #848338)

 -- Geert Stappers <stappers@debian.org>  Sat, 12 Jan 2019 15:35:42 +0100

fiche (0.9-1) UNRELEASED; urgency=medium

  * dh_make
  * tested the watch file with uscan

 -- Geert Stappers <stappers@hendrikx-itc.nl>  Wed, 05 Dec 2018 20:40:36 +0100

=== debian/control ===
Source: fiche
Section: net
Priority: optional
Maintainer: Geert Stappers <stappers@debian.org>
Build-Depends: debhelper (>= 10)
Standards-Version: 4.1.2
Homepage: https://github.com/solusipse/fiche
Vcs-Git: https://gitlab.com/dblug/fiche-dpkg.git
Vcs-Browser: https://gitlab.com/dblug/fiche-dpkg

Package: fiche
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Receiver for command line output pastebin
 Fiche is at the back end of the paste bin website
 http://termbin.com/   So you can create your own paste bin.
 .
 Typically used in combination with a webserver.
Suggests: httpd

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


%:
	dh $@


# Avoiding that package update interferers with systemd unit service file
#  (actual problem is that fiche 0.9.1 has no seperate configuration file )
override_dh_systemd_enable:
	@echo I: Not running dh_systemd_enable

override_dh_installinit:
	@echo I: Not running dh_installinit

override_dh_systemd_start:
	@echo I: Not running dh_systemd_start

=== debian/watch ===
# watch control file for uscan
# See uscan(1) for format

version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%fiche-$1.tar.gz%" \
   https://github.com/solusipse/fiche/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

# l l
